# Class FormControlMarkDirtyDirective

- Defined in packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts:12

#####
Index

### Constructors

constructor

### Properties

parent

### Methods

onClick

## Constructors

### constructor

- new FormControlMarkDirtyDirective(parent): FormControlMarkDirtyDirective

- #### Parameters

  - parent: ControlContainer

  #### Returns FormControlMarkDirtyDirective

  - Defined in packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts:14

## Properties

### `Private` `Readonly` parent

parent: ControlContainer

- Defined in packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts:14

## Methods

### onClick

- onClick(): void

- #### Returns void

  - Defined in packages/angular/forms/src/lib/directives/form-control-mark-dirty.directive.ts:18